#ifndef __FONT_H__
#define __FONT_H__

#include <windows.h>
#include <GL/gl.h>
#include <gl/glu.h>

namespace oglclass
{

class font
{
public:
	font();
	font(char *name);
	~font();

	void setPos2D(int x, int y) { screenX_ = x; screenY_ = y; }
	void setPos3D(float x, float y, float z) { x_ = x; y_ = y; z_ = z; }
	void setColor(float red, float green, float blue, float alpha=1.0) { r_ = red; g_ = green; b_ = blue; a_ = alpha; }
	void print(const char *str, ...);
	void draw(int x, int y, char * str, ...);

private:
	unsigned int callList_;		// font display list
	float r_, g_, b_, a_;		// font color
	float x_, y_, z_;			// font position
	int screenX_, screenY_;		// screen coordinates
	char name_[256];

	void createCallLists();	// creates the font display list
	void build(char *name, int size);
	void clearFont();
};

} // namespace

#endif

