#ifndef __material_H__
#define __material_H__

#include <windows.h>
#include <GL/gl.h>
#include "vector4.h"

namespace oglclass
{

class material
{
public:
    material(void);
    material(const vector4& ambientAndDiffuse);
    material(const vector4& ambientAndDiffuse,
             const vector4& specular,float shininess);

    void enable(void);
    void disable(void);
    
    void setAmbient(const vector4& color);
    void setDiffuse(const vector4& color);
    void setAmbientAndDiffuse(const vector4& color);
    void setSpecular(const vector4& color);
    void setEmission(const vector4& color);
    void setShininess(float shininess);
    
    vector4& ambient(void) { return ambient_; }
    vector4& diffuse(void) { return diffuse_; }
    vector4& specular(void) { return specular_; }
    vector4& emission(void) { return emission_; }
    float shininess(void) { return shininess_; }

private:
    vector4 ambient_, diffuse_, specular_, emission_;
    float shininess_;
};

} // namespace

#endif
