#include <windows.h>
#include <GL/glu.h>
#include "orthoCamera.h"

namespace oglclass
{

orthoCamera::orthoCamera(void)
	{
    left_ = 0;
    right_ = 1;
    bottom_ = 0;
    top_ = 1;
    near_ = -1;
    far_ = 1;
	}


orthoCamera::orthoCamera(GLdouble left, GLdouble right, GLdouble bottom,
                         GLdouble top, GLdouble znear, GLdouble zfar)
    {
    left_ = left;
    right_ = right;
    bottom_ = bottom;
    top_ = top;
    near_ = znear;
    far_ = zfar;
    }


void orthoCamera::applyProjection(void) const
    {
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    glOrtho(left_, right_, bottom_, top_, near_, far_);
    glMatrixMode(GL_MODELVIEW);
    }


void orthoCamera::setEdges(GLdouble left, GLdouble right, GLdouble bottom,
                           GLdouble top, GLdouble znear, GLdouble zfar)
    {
    left_ = left;
    right_ = right;
    bottom_ = bottom;
    top_ = top;
    near_ = znear;
    far_ = zfar;
    }


void orthoCamera::setLeft(GLdouble v)
    {
    left_ = v;
    }


void orthoCamera::setRight(GLdouble v)
    {
    right_ = v;
    }


void orthoCamera::setBottom(GLdouble v)
    {
    bottom_ = v;
    }


void orthoCamera::setTop(GLdouble v)
    {
    top_ = v;
    }


void orthoCamera::setNear(GLdouble v)
    {
    near_ = v;
    }


void orthoCamera::setFar(GLdouble v)
    {
    far_ = v;
    }

}
