#ifndef __ORTHO_H__
#define __ORTHO_H__

#include <windows.h>
#include <GL/gl.h>
#include "camera.h"

namespace oglclass
{

class orthoCamera : public camera
    {
    public:
        orthoCamera(void);
        orthoCamera(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top,
                    GLdouble znear=-1, GLdouble zfar=1);
        virtual void applyProjection(void) const;
        
        void setEdges(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top,
                    GLdouble znear=-1, GLdouble zfar=1);
        void setLeft(GLdouble);
        void setRight(GLdouble);
        void setBottom(GLdouble);
        void setTop(GLdouble);
        void setNear(GLdouble);
        void setFar(GLdouble);
        GLdouble left(void) const { return left_; }
        GLdouble right(void) const { return right_; }
        GLdouble bottom(void) const { return bottom_; }
        GLdouble top(void) const { return top_; }
        GLdouble znear(void) const { return near_; }
        GLdouble zfar(void) const { return far_; }
    
    private:
        GLdouble left_, right_, bottom_, top_, near_, far_;
    };

}

#endif
