#include <windows.h>
#include <GL/glu.h>
#include "perspCamera.h"

namespace oglclass
{

perspCamera::perspCamera(double fovy, double aspect, double znear, double zfar)
    {
    fovy_ = fovy;
    aspect_ = aspect;
    near_ = znear;
    far_ = zfar;
    }

void perspCamera::applyProjection(void) const
    {
    glMatrixMode(GL_PROJECTION);
    glLoadIdentity();
    gluPerspective(fovy_, aspect_, near_, far_);
    glMatrixMode(GL_MODELVIEW);
    }


void perspCamera::zoom(double angle)
    {
    double newFovy = fovy_ + angle;
    if ((newFovy > 0.0) && (newFovy < 180.0))
        fovy_ = newFovy;
    }


double perspCamera::fovy(void) const
    {
    return fovy_;
    }


double perspCamera::aspect(void) const
    {
    return aspect_;
    }


double perspCamera::znear(void) const
    {
    return near_;
    }


double perspCamera::zfar(void) const
    {
    return far_;
    }


void perspCamera::setFovy(double fovy)
    {
    fovy_ = fovy;
    }


void perspCamera::setAspect(double aspect)
    {
    aspect_ = aspect;
    }


void perspCamera::setNear(double znear)
    {
    near_ = znear;
    }


void perspCamera::setFar(double zfar)
    {
    far_ = zfar;
    }

}
