#ifndef __PERSPECTIVE_H__
#define __PERSPECTIVE_H__

#include "camera.h"

namespace oglclass
{

class perspCamera : public camera
    {
    public:
        perspCamera(double fovy = 45.0, double aspect = 1.0,
                    double znear = 1.0, double zfar = 100.0);
        virtual void applyProjection(void) const;
        
        void zoom(double angle);
        
        double fovy(void) const;
        double aspect(void) const;
        double znear(void) const;
        double zfar(void) const;
        void setFovy(double);
        void setAspect(double);
        void setNear(double);
        void setFar(double);
    
    private:
        double fovy_, aspect_;
        double near_, far_;
    };

}

#endif
