#ifndef __TEXTURE_H__
#define __TEXTURE_H__

#include <windows.h>
#include <GL/gl.h>

namespace oglclass
{

class texture
{
public:
	texture(int wrap=GL_REPEAT, int min=GL_LINEAR, int mag=GL_LINEAR);
    virtual ~texture(void);
    virtual void enable(void) = 0;
    virtual void disable(void) = 0;

    void setMinFilter(int);
    void setMagFilter(int);
    void setWrapS(int);
    void setWrapT(int);
    void setWrapR(int);
    void setWrap(int v) { setWrapS(v); setWrapT(v); setWrapR(v); }
    int minFilter(void) const { return minFilter_; }
    int magFilter(void) const { return magFilter_; }
    int wrapS(void) const { return wrapS_; }
    int wrapT(void) const { return wrapT_; }
    int wrapR(void) const { return wrapR_; }

private:
    int minFilter_, magFilter_, wrapS_, wrapT_, wrapR_;
};

} // namespace

#endif
