#ifndef __TEXTURE2D_H__
#define __TEXTURE2D_H__

#include <windows.h>
#include <GL/gl.h>
#include "texture.h"

namespace oglclass
{

class texture2D : public texture
{
public:
	texture2D(char *filename, int wrap=GL_REPEAT, int min=GL_LINEAR, int mag=GL_LINEAR);
	virtual ~texture2D(void);
    virtual void enable(void);
    virtual void disable(void);
	void define(void);
	void subload(GLint xoffset=0, GLint yoffset=0);
    GLuint getTextureID(void) { return textureID_; }

private:
	unsigned char *rescaledImageData_;
	unsigned char *imageData_;
    GLuint textureID_;
    int width_, height_, numComponents_;
	GLenum type_;
	bool defined_;
	bool createdImage_;
};

} // namespace

#endif
