#ifndef __TRANSFORM_H__
#define __TRANSFORM_H__

#include <windows.h>
#include <GL/gl.h>
#include "vector3.h"

namespace oglclass
{

class transform
{
public:
	transform(void);
	virtual void apply(void);
	void pushMatrix(void);
	void popMatrix(void);

	void setTranslation(const vector3& trans);
	void setTranslation(GLfloat x,GLfloat y,GLfloat z);
	void setRotation(GLfloat angle,const vector3& axis);
	void setRotation(GLfloat angle,GLfloat x,GLfloat y,GLfloat z);
	void setScaling(GLfloat s);
	void setScaling(const vector3& s);
	void setScaling(GLfloat x,GLfloat y,GLfloat z);

	vector3 translation(void) { return translate_; }
	float rotationAngle(void) { return rotateAngle_; }
	vector3 rotationAxis(void) { return rotateAxis_; }
	vector3 scaling(void) { return scale_; }

private:
	vector3 translate_;
	float rotateAngle_;
	vector3 rotateAxis_;
	vector3 scale_;
};

}

#endif
